Bug 124642 - remove formular toolbar from writer -> view -> toolbars
Summary: remove formular toolbar from writer -> view -> toolbars
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords: easyHack, skillDesign
Depends on:
Blocks: Main-Menu Calc-Formula-Bar
  Show dependency treegraph
 
Reported: 2019-04-10 07:52 UTC by andreas_k
Modified: 2019-06-15 04:46 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-04-10 07:52:46 UTC
Otherwise the Formula bar <F2> is not a regular toolbar structure [1]. I think its icon on the submenu is an exception drawn from the toolbox. But then its entry probably does not belong on the View -> Toolbars menu anyhow.

=-ref-=
[1] https://opengrok.libreoffice.org/xref/core/sw/source/uibase/ribbar/inputwin.cxx?r=d8037ae1#61
Comment 1 Dieter Praas 2019-04-10 08:35:53 UTC
I agree, but where you would like to place it instead?
Comment 2 andreas_k 2019-04-10 19:56:43 UTC
Insert -> Object -> Formular (maybe another label cause Formular is already there)

Formular is already in Table
Comment 3 Dieter Praas 2019-04-10 20:06:09 UTC
I'm not an expert with formulars, but I think it is more a field than an object, so I would say Insert => Field => Formula
Comment 4 Heiko Tietze 2019-04-15 14:33:41 UTC
It's possible to have calculations like 

----------------------------
|  1.75€ | 2.01€ | =<a1>+a2>
| -12.5€ | 0.07€ | =<b1>+b2>
----------------------------
|        |       | =sum<a3,b3>

(the currency symbol must not be entered manually but as number format)

You cannot enter an equal sign like in Calc and expect the formula input to appear- that's what the formula bar does (F2 is the shortcut).

Agreed that View > Toolbars is not the best place and actually we do have the command under Table again (Formula is not restricted to tables but typically that's where it is being used). Furthermore, View > Toolbars > Formula becomes disabled when the formula bar is active making this menu item more or less a status information.

My take: kill it from this submenu.
Comment 5 Heiko Tietze 2019-05-28 08:27:12 UTC
No further comment, so please remove it from View > Toolsbars (we have the command under Table).
Comment 6 andreas_k 2019-05-28 15:58:16 UTC
I thought you need an codepointer for an easyhack
Comment 7 Heiko Tietze 2019-06-01 08:04:12 UTC
(In reply to andreas_k from comment #6)
> I thought you need an codepointer for an easyhack

You don't know how to change the menubar.xml? ;-)
Comment 8 Roman Kuznetsov 2019-06-13 19:40:21 UTC
(In reply to Heiko Tietze from comment #7)
> (In reply to andreas_k from comment #6)
> > I thought you need an codepointer for an easyhack
> 
> You don't know how to change the menubar.xml? ;-)

It isn't that simple. It needs to change uno:AvailableToolbars. Do you know some codepoints for it?
Comment 9 Maxim Monastirsky 2019-06-13 22:11:40 UTC
(In reply to Roman Kuznetsov from comment #8)
> It isn't that simple. It needs to change uno:AvailableToolbars. Do you know
> some codepoints for it?
https://opengrok.libreoffice.org/xref/core/framework/source/uielement/toolbarsmenucontroller.cxx?r=32eeb405#410
Comment 10 Commit Notification 2019-06-14 16:08:35 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/846c68876c214d501bf163eede4288d7a307ec8a%5E%21

tdf#124642 Delete Formula item from View->Toolbars in Writer

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.